Distribution EOLE - Scénario #28739

La modification de la configuration Veyon n'est pas appliquée
07/11/2019 05:44 PM - Emmanuel GARETTE

Status: Terminé (Sprint) Start date: 07/12/2019
Priority: Normal Due date: 08/30/2019
Assigned To: Daniel Dehennin % Done: 100%
Category: Version mineure Estimated time: 0.00 hour
Target version: sprint 2019 27-35 Equipe MENSR (été) |Spent time: 0.00 hour
Description

Si je change la configuration de Veyon et que je fais un :

nEkn

salt "*" state.apply

La configuration n'est pas appliqué sur les postes clients.
Solution
La configuration est importé si :

 |e fichier de configuration est modifié
¢ |a connexion LDAP ne fonctionne pas

Le mot de passe LDAP est défini si :

¢ la connexion LDAP ne fonctionne pas

Subtasks:
Téache # 28740: Corriger I'enchainement des actions de configurations de Veyon Fermé

Related issues:
Related to eole-workstation - Tache #27451: La configuration de Veyon et le m... Fermé 03/28/2019

History

#1 - 07/12/2019 04:14 PM - Daniel Dehennin

- Assigned To set to Daniel Dehennin

Je confirme que la dépendance n’est pas correcte, la configuration n’est importée que si le test de connexion LDAP ne fonctionne pas.

#2 - 07/12/2019 04:34 PM - Daniel Dehennin
- Tracker changed from Demande to Scénario
- Category set to Version mineure

- Start date deleted (07/11/2019)

- Release setto EOLE 2.7.1.1

- Story points set to 1.0

#3 - 07/12/2019 05:13 PM - Daniel Dehennin

- Due date set to 08/30/2019

- Target version set to sprint 2019 27-35 Equipe MENSR (été)
- Start date set to 07/01/2019

#4 - 07/15/2019 10:27 AM - Daniel Dehennin

- Related to Tache #27451: La configuration de Veyon et le mot de passe LDAP peuvent ne pas étre défini apres l'intégration au domaine added
#5 - 07/15/2019 10:50 AM - Daniel Dehennin

Daniel Dehennin a écrit :

Je confirme que la dépendance n’est pas correcte, la configuration n’est importée que si le test de connexion LDAP ne fonctionne pas.

Je me suis souvenu qu’il y avait un soucis lors de la premiére configuration pendant I'intégration : #27451

Je pense avoir trouvé une solution qui permette :

e 'importation initial de la configuration apres redémarrage (le fichier est créé sur le disque mais non importé)
¢ |a mise a jour de la configuration lors de tout changement du fichier de configuration

#6 - 07/15/2019 03:16 PM - Daniel Dehennin

- Description updated

#7 - 07/18/2019 05:34 PM - Joél Cuissinat

- Subject changed from La modification de la configuration Veyon n'est pas appliqué to La modification de la configuration Veyon n'est pas appliquée

#8 - 08/20/2019 02:48 PM - Gilles Grandgérard

- Status changed from Nouveau to Terminé (Sprint)
